@import "../../style/index.scss";

.bar{ 
  height: 40px;
  padding: 0px 30px;

  background-color: $black;
  color: $white;

  &__container{
    display: flex;
    justify-content: space-around;
    align-items: center;

    @include container;
  }

  &__burger{
    position: relative;
    
    width: 33px;

    &-item{
      width: 100%;
      height: 4px;

      border-radius: 3px;
      margin: 5px 0;
      background-color: $white;
    }
  }

  &__box{
    position: relative;
  }
  
  &__menu{
    position: relative;

    padding: 0 50px;
    
    background-color: $grey;

    border: none;
  }

  &__menu::after{
    content: "";

    position: absolute;
    right: 10px;
    top: calc(50% - 2px);

    border-top: 4px solid #26bed5;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
  }

  &__btn{
    margin: 0 6px;
    background: none;
    border: $black 3px solid;

    @include animate;
  } 

  &__btn, &__menu{
    height: 40px;

    color: $white;
  }

  &__btn:hover{
    border-bottom: $turquoise 3px solid;
  }
}

@media (max-width: $widthMobile) {
  .bar{
    justify-content: space-between;
    padding: 0 0 0 30px;

    &__box{
      position: static ; 
    }
  }
}


@media (min-width: $maxWidth){
  .bar__container{
    justify-content: space-between;
  }  
}
